﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ValidationIncludesAdditionalFields.aspx.cs" Inherits="AdditionalFieldsSample" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>

</head>
<body>
    <script type="text/javascript">
    
        function onClientAddedHandler(sender, eventArgs) {
            var inputRow = eventArgs.get_row();
            var uList = inputRow.parentNode;

            // add desctiption and label
            rowDescription = document.createElement("li");
            uList.insertBefore(rowDescription, inputRow);
            var labelDesc = document.createElement("span");
            labelDesc.innerHTML = "Description: ";
            labelDesc.style.fontsize = 12;
            var inputDesc = document.createElement("input");
            inputDesc.type = "text";
            inputDesc.id = inputDesc.name = sender.getID("description");
            descId = inputDesc.id;
            rowDescription.appendChild(labelDesc);
            rowDescription.appendChild(inputDesc);

        }

        function validateInputs(sender, e) {
            e.IsValid = false;
            var upload = $find('<%= RadUpload1.ClientID %>');
            var inputs = upload.getFileInputs();
            for (var i = 0; i < inputs.length; i++) {
                //check for empty string or invalid extension
                var descValue = $get("RadUpload1description" + i).value


                if (inputs[i].value == "" || !upload.isExtensionValid(inputs[i].value)
                    || descValue == "") {
                    return;
                }
            }
            e.IsValid = true;
        }
            
    </script>

    <form id="form1" runat="server">
    <asp:ScriptManager 
        ID="ScriptManager1" 
        runat="server">
    </asp:ScriptManager>
    <telerik:RadUpload 
        ID="RadUpload1" 
        runat="server" 
        InitialFileInputsCount="1" 
        OnClientAdded="onClientAddedHandler"
        ControlObjectsVisibility="AddButton" 
        AllowedFileExtensions=".jpg,.jpeg,.gif">
    </telerik:RadUpload>
    <asp:Button ID="btnUpload" runat="server" Text="Upload" />
    <asp:CustomValidator 
        runat="server" ID="CustomValidator1" 
        Display="Dynamic" 
        ClientValidationFunction="validateInputs" 
        ErrorMessage="Invalid File Extention or Description field empty" > 
	</asp:CustomValidator>
    
    
    </form>
</body>
</html>
